#ifndef TMHistogrammingFastorAll_H
#define TMHistogrammingFastorAll_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingFastorAll : public TMHistogramming {
 public:
  TMHistogrammingFastorAll();
  virtual ~TMHistogrammingFastorAll();
  
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual ULong_t GetTotalNumberOfSignals() {return fTotalNumberOfSignals;}

 protected:
  ULong_t fTotalNumberOfSignals;
  TH1F    *fTheHisto;

};

#endif
